Subject: Re: PCI DMA in GT64260

From: "Mark A. Greer" <[email-masked]>
Date: Wed, 24 Sep 2003 17:52:03 -0700

Well there are a lot of things that could be wrong. I'd have to actually
see your code to figure out what's wrong. Use
arch/ppc/platforms/ev64260.c as an example, if you haven't already.
Sorry I can't help more but there are simply too many possibilities and
not enough info to narrow down the possibilities to suggest anything.

Mark
--

�Ű�� wrote:

>Dear all.
>
>I have a board that consisted of mpc7410+gt64260+pci_device,
>and I have already success to read/write the pci_device.
>After init the pci_device, I command to the pci_device
>that read data from main memory(sdram),
>but, the pci_device does not operate and return only fail...
>
>I think that this is the DMA Problem...
>so I want to know that how to set the register of gt64260 to do
>DMA operation.
>
>I already set PCI SCS[0] Size Reg, PCI SCS[0] Base Addr Remap Reg,
>and PCI Base Address Enable Reg. what I omitted? or ...
>
>please help me...
>
>Thanks everybody.
>
>
>
>
>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/